### Class

# Foundry SimpleTextBuffer

#### Description [src]

    final class Foundry.SimpleTextBuffer : GObject.Object
      implements Foundry.TextBuffer {
      /* No available fields */
    }

Simple implementation of a text buffer.

FoundrySimpleTextBuffer provides a basic text buffer implementation that stores content as a string and provides text editing operations. It implements the FoundryTextBuffer interface and serves as a lightweight alternative to more complex text buffer implementations.

#### Ancestors

- GObject

#### Implements

- FoundryTextBuffer

#### Functions

###### foundry_simple_text_buffer_new

No description available.

###### foundry_simple_text_buffer_new_for_string

No description available.

#### Instance methods

###### foundry_simple_text_buffer_set_language_id

No description available.

###### foundry_simple_text_buffer_set_text

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FoundryTextBuffer (10)

###### foundry_text_buffer_add_commit_notify

Adds a new commit notify handler.

since: 1.1

###### foundry_text_buffer_apply_edit

No description available.

###### foundry_text_buffer_dup_contents

Gets the contents of the buffer as a `GBytes`.

###### foundry_text_buffer_dup_language_id

Gets the GtkSourceView-style identifier for the language of the buffer such as “c” or “js”.

###### foundry_text_buffer_emit_changed

No description available.

###### foundry_text_buffer_get_change_count

Gets the number of changes that have occurred to `buffer`.

###### foundry_text_buffer_get_iter_at_offset

No description available.

###### foundry_text_buffer_get_start_iter

No description available.

###### foundry_text_buffer_remove_commit_notify

Remove a commit notify handler.

since: 1.1

###### foundry_text_buffer_settle

Gets a `DexFuture` that will resolve after short delay when changes have completed.

#### Properties

###### Foundry.SimpleTextBuffer:context

No description available.

###### Foundry.SimpleTextBuffer:language-id

No description available.

##### Properties inherited from FoundryTextBuffer (2)

###### FoundryTextBuffer:context

No description available.

###### FoundryTextBuffer:language-id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundrySimpleTextBufferClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.